using System.Text.Json.Serialization;

namespace Engine.Asset.Font.Metadata;

[JsonSerializable(typeof(Metadata))]
[Serializable]
public record Metadata
{
  [JsonPropertyName("atlas")]
  [JsonInclude]
  public Atlas Atlas { get; private set; }

  [JsonPropertyName("metrics")]
  [JsonInclude]
  public Metrics Metrics { get; private set; }

  [JsonPropertyName("glyphs")]
  [JsonInclude]
  public Glyph[] Glyphs { get; private set; }

  [JsonPropertyName("kerning")]
  [JsonInclude]
  public Kerning[] Kerning { get; private set; }
}